Edushade Docs
Notices

Update notice

PUT
/admin/notices/{notice_id}
AuthorizationBearer <token>

In: header

Path Parameters

notice_idstring

The notice id identifier

Formatuuid
attachment_idsarray<string>
audience_idsarray<string>
audience_typestring
Default"course"
bodystring
Default"Please note that the course schedule has been updated. All students are required to check their new timetables."
expires_atstring
Default"2024-12-31T23:59:59Z"
is_recurringboolean
Defaultfalse
pinnedboolean
Defaulttrue
prioritystring
Default"high"
published_atstring
Default"2024-12-25T00:00:00Z"
read_trackingboolean
Defaulttrue
statusstring
Default"published"
thumbnailstring
Default"https://via.placeholder.com/150"
Formaturi
titlestring
Default"Important Course Update"

Response Body

curl -X PUT "https://edushade.com/api/v1/admin/notices/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Content-Type: application/json" \
  -d '{
    "attachment_ids": [
      "string"
    ],
    "audience_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "audience_type": "course",
    "body": "Please note that the course schedule has been updated. All students are required to check their new timetables.",
    "expires_at": "2024-12-31T23:59:59Z",
    "is_recurring": false,
    "pinned": true,
    "priority": "high",
    "published_at": "2024-12-25T00:00:00Z",
    "read_tracking": true,
    "status": "published",
    "thumbnail": "https://via.placeholder.com/150",
    "title": "Important Course Update"
  }'
{}
Empty
Empty
Empty